CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.PutOrgAutoModelAsync(
endpoint: AutoEndpoint.Tts,
body: new MeetKai.MKA1.Types.Components.PutOrgAutoModelRequest() {
ModelId = "functionary",
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.put_org_auto_model(endpoint="tts", model_id="functionary")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.putOrgAutoModel({
endpoint: "tts",
putOrgAutoModelRequest: {
modelId: "functionary",
},
});
console.log(result);
}
run();curl --request PUT \
--url https://apigw.mka1.com/api/v1/llm/models/auto/{endpoint} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modelId": "functionary"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({modelId: 'functionary'})
};
fetch('https://apigw.mka1.com/api/v1/llm/models/auto/{endpoint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint": "tts",
"model_id": "functionary",
"set_by": "user-org-admin-1",
"set_at": "2026-06-23T18:00:00.000Z",
"resolvable": true
}Models
Set this org's auto-model override for an endpoint
Stores { endpoint → modelId } so subsequent requests with model: "auto" for the endpoint resolve to modelId instead of the operator’s YAML default. The target must (a) not be the literal string "auto", (b) be active in this org’s model registry, and (c) have the same apiFormat as the endpoint.
PUT
/
api
/
v1
/
llm
/
models
/
auto
/
{endpoint}
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.PutOrgAutoModelAsync(
endpoint: AutoEndpoint.Tts,
body: new MeetKai.MKA1.Types.Components.PutOrgAutoModelRequest() {
ModelId = "functionary",
}
);
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.put_org_auto_model(endpoint="tts", model_id="functionary")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.putOrgAutoModel({
endpoint: "tts",
putOrgAutoModelRequest: {
modelId: "functionary",
},
});
console.log(result);
}
run();Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Path Parameters
Available options:
responses, completions, embeddings, images, transcriptions, tts Body
application/json
The model id this org's "auto" should resolve to for this endpoint. Cannot be the literal string "auto".
Required string length:
1 - 255Was this page helpful?
⌘I